%define snapshot s20071201
%define langfile vba-%{version}
%{?!with_gtk: %define with_gtk 1}
%define gtk_version 2.4

Name:           VisualBoyAdvance
Version:        1.8.0
Release:        0.1%{?snapshot:.%snapshot}%{?dist}
Summary:        GB/GBC/GBA emulator

Group:          Amusements/Games
License:        GPLv2
URL:            http://vba.sourceforge.net
Source0:        http://download.sourceforge.net/vba/%{name}-%{version}%{?snapshot:.%snapshot}.tar.bz2
Patch:					%{name}-1.8.0-NEWSYM.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pkgconfig >= 0.9 gettext
BuildRequires:  libpng-devel libX11-devel SDL-devel >= 1.2.2 
%if %{?with_gtk}
BuildRequires:	gtkmm24-devel >= 2.0.0 libglademm24 >= 2.1.0
BuildRequires:  desktop-file-utils
%endif
#Requires:       

%description
This is a GB/GBC/GBA emulator for Windows, Linux, MacOS X and BeOS.

Features
--------

- configurable GB/GBA keys, including joystick support
- option to use BIOS file
- zip/gzip file support
- directory selection for save state, battery and screen capture
- fullscreen mode (selectable resolution)
- video sizes 1x, 2x, 3x and 4x
- graphic filters Normal, TV Mode, 2xSaI, Super 2xSaI and more
- interframe blending support
- same emulation core as VisualBoyAdvance: GB and GBA emulation
- built-in ARM/THUMB assembly debugger
- 10 save states accesible through keyboard
- automatic battery file load/save
- auto-fire support
- pause, reset through keyboard
- 16, 24 and 32 bit desktop support
- GDB remote debugging (see below for information)
- auto frameskipping and throttle
- AGBPrint support for development
- RTC support



%prep
%setup -q
%patch -p1 -b .NEWSYM


%build
./fix-timestamps
%configure --enable-sdl --disable-rpath \
	%{?with_gtk:--enable-gtk=%{gtk_version}}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
## TODO: install pics
## TODO: install desktop entry file
## TODO: install .gba mime type
##desktop-file-install --vendor fedora --delete-original \
##  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
##  $RPM_BUILD_ROOT%{_datadir}/applications/chmsee.desktop

%find_lang %{langfile}


%if %{with_gtk}
%post
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{langfile}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING NEWS README VERSION
%config(noreplace) %{_sysconfdir}/VisualBoyAdvance.cfg
%{_bindir}/VisualBoyAdvance
%if %{with_gtk}
%{_bindir}/gvba
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%endif


%changelog
* Sun Dec 02 2007 bbbush <bbbush.yuan@gmail.com> - 1.8.0-0.1.s20071201
- initial import
- define NEWSYM according to MNK's notes on 2007-03-29, ngemu.com
- use gtkmm24

